<?php
/*
Plugin Name: Doshii
Plugin URI:
Description: A plugin to allow WooCommerce orders to be pushed directly in to your POS
Author: Doshii
Author URI: https://www.doshii.io
Contributors:
Version: 2.5.4
*/

/**********************************
* constants and globals
**********************************/

if(!defined('DOSHII_BASE_URL')) {
	define('DOSHII_BASE_URL', plugin_dir_url(__FILE__));
}
if(!defined('DOSHII_BASE_DIR')) {
	define('DOSHII_BASE_DIR', dirname(__FILE__));
}

$doshii_options = get_option('doshiiapi_settings');
$doshii_api_key = get_option('doshiiapi_key');


/**********************************
* includes
**********************************/

register_activation_hook( __FILE__, 'doshii_on_activation' );
include(DOSHII_BASE_DIR . '/include/woo-doshii-dbtable.php');
include(DOSHII_BASE_DIR . '/include/woo-checkout-fields.php');
include(DOSHII_BASE_DIR . '/include/woo-order-api.php');
if(is_admin()) {
	// load admin includes

	include(DOSHII_BASE_DIR . '/include/settings.php');
	include(DOSHII_BASE_DIR . '/include/woo-doshii-initialise.php');
	include(DOSHII_BASE_DIR . '/include/woo-doshii-import-export.php');
	include(DOSHII_BASE_DIR . '/include/woo-doshii-item-dropdown.php');
    include(DOSHII_BASE_DIR . '/include/woo-order-status.php');
	include(DOSHII_BASE_DIR . '/include/woo-doshii-product-sync.php');
	include(DOSHII_BASE_DIR . '/include/woo-doshii-webhooks.php');
}
?>
