<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}
add_action("wp_ajax_doshii_build_droplist", "doshii_build_droplist");
function doshii_build_droplist() {
    global $wpdb;
    global $product_object, $post;
	$doshii_parentId = sanitize_text_field($_REQUEST['doshii_parentId']);
	$doshii_optionId = sanitize_text_field($_REQUEST['doshii_optionId']);
	$doshii_type = sanitize_text_field($_REQUEST['doshii_type']);
    if($doshii_type == 'options' && $doshii_parentId != ''){
        $doshii_product_option_tbl  = $wpdb->prefix . 'doshii_product_option';
        $doshii_option_sql = "SELECT * FROM $doshii_product_option_tbl where doshii_product_id='$doshii_parentId'";
        $doshii_option_results = $wpdb->get_results($doshii_option_sql);
        if(!empty($doshii_option_results)) {
            foreach($doshii_option_results as $Optiondata){
                        $option .= '<option  value="' . esc_attr( $Optiondata->doshii_product_option_id ) . '">' . wp_kses_post( $Optiondata->doshii_product_option_name) . '</option>';
            }
            echo wp_send_json($option);
        }
	 }

	 if($doshii_type == 'variants' && $doshii_optionId != ''){
		 $doshii_product_variant_tbl  = $wpdb->prefix . 'doshii_product_variant';
		 $doshii_variant_sql = "SELECT * FROM $doshii_product_variant_tbl where doshii_product_id='$doshii_parentId' AND doshii_product_option_id='$doshii_optionId'";
		 $doshii_variant_results = $wpdb->get_results($doshii_variant_sql);
		 foreach($doshii_variant_results as $Variantdata){
			$Variantoption .= '<option  value="' . esc_attr( $Variantdata->doshii_product_variant_id ) . '">' . wp_kses_post( $Variantdata->doshii_product_variant_name) . '</option>';
		 }
		 echo wp_send_json($Variantoption);
	 }
}
?>
